Subject: [bug#56474] [PATCH] gnu: Add goawk.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 19 Jul 2022 23:03:24 +0200

Hi,

"Paul A. Patience" <[email-masked]> skribis:

> Don't merge this yet, I need to apply some changes.
>
> GoAWK also exposes a Go package, so I need to remove the
> ‘#:install-source #f’ line.
> However, how should I go about naming the package (or packages)?
>
> The Go library should be go-github-com-benhoyt-goawk (in
> gnu/packages/golang.scm), but should there be an additional package
> named just goawk for the command itself that goes in
> gnu/packages/gawk.scm?

Maybe leave ‘goawk’ in golang.scm so that gawk.scm doesn’t pull in all
of Go?

Thanks,
Ludo’.